
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * DTO
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
public class UserRightsCouponDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "权益优惠券关联id")
    private Long rightsCouponId;

    @Schema(description = "权益id")
    private Long rightsId;

    @Schema(description = "优惠券id")
    private Long couponId;

    public Long getRightsCouponId() {
        return rightsCouponId;
    }

    public void setRightsCouponId(Long rightsCouponId) {
        this.rightsCouponId = rightsCouponId;
    }

    public Long getRightsId() {
        return rightsId;
    }

    public void setRightsId(Long rightsId) {
        this.rightsId = rightsId;
    }

    public Long getCouponId() {
        return couponId;
    }

    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    @Override
    public String toString() {
        return "UserRightsCouponDTO{" +
                "rightsCouponId=" + rightsCouponId +
                ",rightsId=" + rightsId +
                ",couponId=" + couponId +
                '}';
    }
}
